//*
//* edit.cpp
//*
//* | Licensed Materials - Use restricted, please refer to the "Samples" terms
//* | and conditions in the IBM International Program License Agreement (IPLA).  
//* (C) Copyright IBM Corporation. 1992, 2006. All Rights Reserved.
//*

// Edit.cpp : implementation file
//

#include "stdafx.h"
#include "fasteractx.h"
#include "Edit.h"
#include "PageCubeMatrix.h"		// for class CMyPageCubeMatrix

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMyEdit

CMyEdit::CMyEdit()
{
}

CMyEdit::~CMyEdit()
{
}


BEGIN_MESSAGE_MAP(CMyEdit, CEdit)
	//{{AFX_MSG_MAP(CMyEdit)
	ON_WM_LBUTTONDOWN()
	ON_WM_CHAR()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMyEdit message handlers

void CMyEdit::OnLButtonDown(UINT nFlags, CPoint point) 
{
	SetFocus();
	CEdit::OnLButtonDown(nFlags, point);
}

void CMyEdit::OnChar(UINT nChar, UINT nRepCnt, UINT nFlags) 
{
	if (nChar == VK_RETURN) {
		((CMyPageCubeMatrix*)GetParent())->OnRun();
		// eliminate the beep that would otherwise occur
		return;
	}
	
	CEdit::OnChar(nChar, nRepCnt, nFlags);
}
